#include<stdio.h>
long long a[10000][10000],n,x,y,k,s,t,b,zb;
long long Apsolutna(long long n){
  if(n>=0)return n;
  else return n*(-1);
}
int main(){
  k=0;s=0,t=0,b=0,zb=0;
  scanf("%lld",&n);
  for(long long i=1;i<=n;i++){
    for(long long j=1;j<=n;j++){
    a[i][j]=0;
}
  }
  for(long long i=0;i<n;i++){scanf("%lld%lld",&x,&y);
    a[x][y]=1;
  }
  for(long long i=1;i<n;i++){
    for(long long j=1;j<=n;j++){
      s+=a[i][j];
    }
    if(s>1)k-=s-1;
    if(s==0){
      k++;
    }
    t+=Apsolutna(k);
    s=0;
  }
  k=0;
   for(long long j=1;j<n;j++){
    for(long long i=1;i<=n;i++){
      s+=a[i][j];
    }
    if(s>1)k-=s-1;
    if(s==0){
      k++;
    }
    b+=Apsolutna(k);
    s=0;
  }
for(long long i=1;i<=n;i++){
  for(long long j=1;j<=n;j++){
    printf("%lld",a[i][j]);
  }
   printf("\n");
}
zb=t+b;
printf("%lld",t+b);
  return 0;

}